# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'sack/version'

Gem::Specification.new do |spec|
	spec.name = 'sack'
	spec.version = Sack::VERSION
	spec.authors = ['Eresse']
	spec.email = ['eresse@eresse.net']

	spec.summary = 'Minimalistic Database Layer providing Models, Validation and Relationships'
	spec.description = 'Provides a small persistence framework, including models (programmatic description of entities), validation rules and relationships between models.'
	spec.homepage = 'http://redmine.eresse.net/projects/sack'
	spec.license = 'MIT'

	spec.files = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
	spec.require_paths = ['lib']

	spec.add_development_dependency 'bundler'
	spec.add_development_dependency 'rake'
	spec.add_runtime_dependency 'minitest'
	spec.add_runtime_dependency 'sqlite3'
	spec.add_runtime_dependency 'aromat'
end
